// TODO všechno v tomto souboru jsou duplicity se serverem, ale aktuálně nevím jaký je nejlepší způsob jejich sdílení

/** Jedna konkrétní pizza */
export interface Pizza {
    name: string, // název pizzy
    size: number, // velikost pizzy v cm
    price: number, // cena pizzy v Kč, včetně krabice
}

export interface Order {
    customer: string, // název člověka
    pizzaList: Pizza[], // seznam objednaných pizz
    totalPrice: number, // celková cena všech objednaných pizz a krabic
}

export interface Choices {
    [location: string]: string[],
}

export interface ClientData {
    date: string, // dnešní datum pro zobrazení
    choices: Choices, // seznam voleb
}

export enum Locations {
    SLADOVNICKA = 'Sladovnická',
    UMOTLIKU = 'U Motlíků',
    TECHTOWER = 'TechTower',
    SPSE = 'SPŠE',
    VLASTNI = 'Mám vlastní',
    OBJEDNAVAM = 'Objednávám',
    NEOBEDVAM = 'Neobědvám',
}